Bug 127446 - FILEOPEN DOC: Image ratio changes
Summary: FILEOPEN DOC: Image ratio changes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC-Images
  Show dependency treegraph
 
Reported: 2019-09-09 06:36 UTC by LE GARREC Vincent
Modified: 2020-03-23 13:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
DilationProblem.doc (40.00 KB, application/msword)
2019-09-09 06:36 UTC, LE GARREC Vincent
Details
LibreOfficeWrongImage.png (10.62 KB, image/png)
2019-09-09 06:37 UTC, LE GARREC Vincent
Details
WordCorrectImage.png (6.51 KB, image/png)
2019-09-09 06:38 UTC, LE GARREC Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LE GARREC Vincent 2019-09-09 06:36:32 UTC
Created attachment 154037 [details]
DilationProblem.doc

I have DOC file with an image inside.

This image is right in Microsoft Office but distorted with Libreoffice (the dilation is not respected).

Please find enclosed the document with an example.

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 41cd3e8e817c8c33a13608e62eeb06ce2c6977e4
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_22:04:10
Locale: fr-FR (fr_FR); UI-Language: en-US
Calc: CL
Comment 1 LE GARREC Vincent 2019-09-09 06:37:36 UTC
Created attachment 154038 [details]
LibreOfficeWrongImage.png

Current result with Libreoffice
Comment 2 LE GARREC Vincent 2019-09-09 06:38:14 UTC
Created attachment 154039 [details]
WordCorrectImage.png

Expected result with Microsoft Office.
Comment 3 Dieter 2019-09-11 04:59:11 UTC
I confirm this with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 01837a85004a6f891a09c0a63ed7eff75d634827
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_00:07:05
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded

and also with

Version: 6.2.5.2 (x64)
Build-ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded
Comment 4 Xisco Faulí 2019-09-17 14:57:07 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=acb803b730f2c6bd82e39beab58949ec14f85eb0

author	Miklos Vajna <vmiklos@collabora.com>	2019-06-11 08:09:14 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-06-11 11:31:57 +0200
commit	acb803b730f2c6bd82e39beab58949ec14f85eb0 (patch)
tree	51ef2b3635a0a7fdb2a41727a403e5a08649b2e6
parent	425db2cc9881e00a28cf6184451ffc1eca841299 (diff)
tdf#125591 DOC import: lazy-load metafiles with explicit size

Bisected with: bibisect-linux64-6.4

Adding Cc: to Miklos Vajna
Comment 5 Commit Notification 2019-10-01 07:04:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/12273af6f18edade1bdda828fe270fa37960e14f

tdf#127446 vcl image lazy-load: fix custom size handling of metafiles

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-10-01 17:48:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/d8371cdfd092c6426c01aae130ea4eaa6d627a6f

tdf#127446 vcl image lazy-load: fix custom size handling of metafiles

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-10-02 09:57:40 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2215be5268a646d3cc7d138a0184c6826585b7fb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!